%define pkgname	libguac
%define soname	%{pkgname}3
Summary:	The core guacamole library
Name:		%{soname}
Version:	0.6.3
Release:	1.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
BuildRequires:	cairo-devel
Requires:	cairo
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is the core guacamole library on which guacd and all client plugins depend.

%package devel
Summary:	The core guacamole library (development headers)
Group:		Development/Libraries 
Requires:	%{soname} = %{version}, cairo-devel
%description devel
The development headers associated with the core guacamole library, libguac.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sat Sep 29 2012 cs@linux-administrator.com
- initial package
